%global srcname colcon-installed-package-information

Name:           python-%{srcname}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Extensions for colcon to inspect packages which have already been installed

License:        Apache-2.0
URL:            https://github.com/colcon/%{srcname}
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

# Not submitted upstream - compatibility with pytest < 3.9.0
Patch0:         %{name}-0.2.1-pytest-compat.patch

BuildArch:      noarch

%description
Extensions for colcon-core to inspect packages which have already been
installed.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-colcon-core
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-colcon-core
%endif

%description -n python%{python3_pkgversion}-%{srcname}
These colcon extensions provide a mechanism which can be used for getting
information about packages outside of the workspace, which have already been
built and installed prior to the current operation.

In general, they work similarly to and are based on the
PackageDiscoveryExtensionPoint and PackageAugmentationExtensionPoint
extensions provided by colcon_core.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%pytest -m 'not linter' test


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/colcon_installed_package_information/
%{python3_sitelib}/colcon_installed_package_information-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Mar 22 2024 Scott K Logan <logans@cottsay.net> - 0.2.1-1
- Update to 0.2.1 (rhbz#2269532)
- Switch to SPDX license identifier

* Wed Oct 19 2022 Scott K Logan <logans@cottsay.net> - 0.1.0-1
- Update to 0.1.0
- Change URL to point to GitHub repository
- Improve description

* Wed Mar 16 2022 Scott K Logan <logans@cottsay.net> - 0.0.1-1
- Initial package
